CREATE TABLE station (
    id INTEGER PRIMARY KEY,
    name TEXT NOT NULL UNIQUE,
    notes TEXT,
    amount_people INTEGER,
    last_login DATETIME,
    pw TEXT NOT NULL DEFAULT (upper(hex(randomblob(4)))),
    lat REAL,
    lng REAL
);

CREATE TABLE "group" (
    id INTEGER PRIMARY KEY,
    name TEXT NOT NULL,
    notes TEXT,
    amount_people INTEGER,
    first_station_id INTEGER,
    FOREIGN KEY (first_station_id) REFERENCES station(id)
);

CREATE TABLE group_station (
    group_id INTEGER,
    station_id INTEGER,
    points INTEGER,
    notes TEXT,
    arrived_at DATETIME,
    started_at DATETIME,
    left_at DATETIME,
    PRIMARY KEY (group_id, station_id),
    FOREIGN KEY (group_id) REFERENCES "group"(id),
    FOREIGN KEY (station_id) REFERENCES station(id)
);

CREATE TABLE path (
    id INTEGER PRIMARY KEY,
    name TEXT NOT NULL
);

CREATE TABLE path_station (
    path_id INTEGER,
    station_id INTEGER,
    pos INTEGER,
    PRIMARY KEY (path_id, station_id),
    FOREIGN KEY (path_id) REFERENCES path(id),
    FOREIGN KEY (station_id) REFERENCES station(id)
);
